/*
 * Copyright (c) 2003, Adam Dunkels.
 * All rights reserved. 
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met: 
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution. 
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgement:
 *        This product includes software developed by Adam Dunkels. 
 * 4. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.  
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
 *
 * This file is part of the Contiki VNC server
 *
 * $Id: ctk-vncfont.c,v 1.2 2003/08/12 21:11:09 adamdunkels Exp $
 *
 */

#define _ 0x00
#define o 0x01 /* 1001 0010 */
#define X 0x02 /* 1111 0110 */

#ifdef WITH_AVR
#include <avr/pgmspace.h>
#else
#define prog_char unsigned char
#endif

prog_char ctk_vncfont[] = {
/* Char 0x0 '?' */
o,X,X,X,X,o,
X,X,o,o,X,X,
X,X,_,X,X,X,
X,X,_,X,X,X,
X,X,_,_,_,_,
X,X,o,_,_,X,
o,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x1 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,X,X,X,o,_,
_,o,_,o,X,_,
o,X,X,X,X,_,
X,o,_,o,X,_,
o,X,X,X,X,o,
_,_,_,_,_,_,
/* Char 0x2 '?' */
_,_,_,_,_,_,
X,o,_,_,_,_,
X,_,_,_,_,_,
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x3 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,o,_,
X,o,_,_,_,_,
X,_,_,_,_,_,
X,o,_,_,o,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x4 '?' */
_,_,_,_,_,_,
_,_,_,o,X,_,
_,_,_,_,X,_,
o,X,X,X,X,_,
X,o,_,_,X,_,
X,o,_,_,X,_,
o,X,X,X,X,o,
_,_,_,_,_,_,
/* Char 0x5 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,o,_,
X,_,_,_,X,_,
X,X,X,X,o,_,
X,o,_,_,_,_,
o,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0x6 '?' */
_,_,_,_,_,_,
_,_,o,X,X,_,
_,_,X,o,_,_,
_,X,X,X,X,_,
_,o,X,_,_,_,
_,_,X,_,_,_,
_,_,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x7 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,X,_,
X,o,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,X,_,
_,_,_,o,X,_,
_,X,X,X,o,_,
/* Char 0x8 '?' */
_,_,_,_,_,_,
X,o,_,_,_,_,
X,_,_,_,_,_,
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,_,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x9 '?' */
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,X,X,_,_,_,
_,o,X,_,_,_,
_,o,X,o,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0xa '?' */
_,_,_,_,_,_,
_,_,_,_,X,_,
_,_,_,_,_,_,
_,_,_,X,X,_,
_,_,_,o,X,_,
_,_,_,_,X,_,
_,_,_,o,X,_,
_,X,X,X,o,_,
/* Char 0xb '?' */
_,_,_,_,_,_,
X,o,_,_,_,_,
X,_,_,_,_,_,
X,_,o,X,_,_,
X,X,X,o,_,_,
X,_,o,X,o,_,
X,o,_,o,X,o,
_,_,_,_,_,_,
/* Char 0xc '?' */
_,_,_,_,_,_,
_,X,X,_,_,_,
_,o,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,o,X,o,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0xd '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,o,X,o,_,
X,X,X,X,X,_,
X,o,X,o,X,_,
X,_,o,_,X,o,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0xe '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,X,X,o,_,
X,X,_,o,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,o,
_,_,_,_,_,_,
/* Char 0xf '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,o,_,
X,o,_,o,X,_,
X,_,_,_,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x10 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
X,_,_,_,_,_,
X,o,_,_,_,_,
/* Char 0x11 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,X,_,
X,o,_,_,X,_,
X,o,_,_,X,_,
o,X,X,X,X,_,
_,_,_,o,X,_,
_,_,_,_,X,o,
/* Char 0x12 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,X,X,o,_,
X,X,_,o,X,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,o,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x13 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
o,X,X,X,o,_,
X,_,_,_,_,_,
o,X,X,X,o,_,
_,_,_,o,X,_,
X,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x14 '?' */
_,_,_,_,_,_,
_,o,X,_,_,_,
X,X,X,X,X,_,
_,_,X,o,_,_,
_,_,X,_,_,_,
_,_,X,o,_,_,
_,_,o,X,o,_,
_,_,_,_,_,_,
/* Char 0x15 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,o,_,_,X,_,
o,X,X,X,X,o,
_,_,_,_,_,_,
/* Char 0x16 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,_,_,X,o,
X,_,_,_,X,_,
X,o,_,o,X,_,
o,X,o,X,o,_,
_,o,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x17 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,_,_,X,o,
X,_,_,_,X,_,
X,_,o,_,X,_,
X,o,X,o,X,_,
o,X,o,X,X,o,
_,_,_,_,_,_,
/* Char 0x18 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,_,o,X,o,
o,X,o,X,o,_,
_,o,X,o,_,_,
o,X,o,X,o,_,
X,o,_,o,X,o,
_,_,_,_,_,_,
/* Char 0x19 '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,o,_,_,X,o,
X,_,_,_,X,_,
X,o,_,_,X,_,
o,X,X,X,X,_,
_,_,_,o,X,_,
_,o,X,X,o,_,
/* Char 0x1a '?' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,_,
o,_,o,X,o,_,
_,o,X,o,_,_,
o,X,o,_,X,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x1b '?' */
_,X,X,X,X,_,
_,X,o,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,o,_,_,_,
_,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x1c '?' */
_,_,_,X,X,_,
_,o,X,_,_,X,
o,X,X,o,_,_,
X,X,X,X,X,_,
o,X,X,o,_,_,
X,X,o,_,_,X,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x1d '?' */
_,X,X,X,X,_,
_,_,_,o,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,o,X,_,
_,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x1e '?' */
_,_,_,_,_,_,
o,X,o,_,_,_,
X,o,X,o,X,_,
_,_,o,X,o,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x1f '?' */
_,_,_,_,_,_,
_,o,X,_,_,_,
o,X,X,o,_,_,
X,X,X,X,X,X,
X,X,X,X,X,X,
o,X,X,o,_,_,
_,o,X,_,_,_,
_,_,_,_,_,_,
/* Char 0x20 ' ' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x21 '!' */
_,_,X,X,_,_,
_,_,X,o,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
/* Char 0x22 '"' */
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x23 '#' */
_,X,_,_,X,_,
_,X,o,o,X,_,
X,X,X,X,X,X,
_,X,o,o,X,_,
X,X,X,X,X,X,
_,X,_,_,X,_,
_,X,_,_,X,_,
_,_,_,_,_,_,
/* Char 0x24 '$' */
_,o,X,X,o,_,
o,X,X,X,X,X,
X,X,o,_,_,_,
o,X,X,X,X,o,
_,_,_,o,X,X,
X,X,X,X,X,o,
_,o,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x25 '%' */
X,X,_,_,o,X,
X,X,_,o,X,X,
_,_,o,X,X,o,
_,o,X,X,o,_,
o,X,X,o,_,_,
X,X,o,_,X,X,
X,o,_,_,X,X,
_,_,_,_,_,_,
/* Char 0x26 '&' */
o,X,X,X,o,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,o,X,o,_,_,
X,o,_,_,X,_,
X,o,o,X,X,_,
o,X,X,o,X,_,
_,_,_,_,_,_,
/* Char 0x27 ''' */
_,_,_,o,X,_,
_,_,o,X,o,_,
_,_,X,o,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x28 '(' */
_,_,o,X,_,_,
_,o,X,o,_,_,
_,X,o,_,_,_,
_,X,_,_,_,_,
_,X,o,_,_,_,
_,o,X,o,_,_,
_,_,o,X,_,_,
_,_,_,_,_,_,
/* Char 0x29 ')' */
_,_,X,o,_,_,
_,_,o,X,o,_,
_,_,_,o,X,_,
_,_,_,_,X,_,
_,_,_,o,X,_,
_,_,o,X,o,_,
_,_,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x2a '*' */
_,_,_,_,_,_,
X,o,_,o,X,_,
o,X,o,X,o,_,
X,X,X,X,X,_,
o,X,o,X,o,_,
X,o,_,o,X,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x2b '+' */
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,X,o,_,_,
X,X,X,X,X,_,
_,o,X,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x2c ',' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,o,X,_,_,_,
_,X,o,_,_,_,
/* Char 0x2d '-' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x2e '.' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
/* Char 0x2f '/' */
_,_,_,_,_,_,
_,_,_,o,X,_,
_,_,o,X,o,_,
_,o,X,o,_,_,
_,X,o,_,_,_,
o,X,o,_,_,_,
o,X,o,_,_,_,
_,_,_,_,_,_,
/* Char 0x30 '0' */
o,X,X,X,o,_,
X,_,_,o,X,_,
X,_,o,X,X,_,
X,_,X,o,X,_,
X,X,o,_,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x31 '1' */
_,o,X,_,_,_,
_,X,X,_,_,_,
_,o,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,o,X,o,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0x32 '2' */
o,X,X,X,o,_,
X,o,_,o,X,_,
_,_,_,o,X,_,
_,o,X,X,o,_,
o,X,o,_,_,_,
X,o,_,_,_,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x33 '3' */
o,X,X,X,o,_,
X,o,_,o,X,_,
_,_,_,o,X,_,
_,_,X,X,o,_,
_,_,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x34 '4' */
_,_,_,o,X,_,
_,_,o,X,X,_,
_,o,X,o,X,_,
o,X,o,_,X,_,
X,X,X,X,X,_,
_,_,_,o,X,_,
_,_,_,_,X,X,
_,_,_,_,_,_,
/* Char 0x35 '5' */
X,X,X,X,X,_,
X,o,_,_,o,_,
X,X,X,X,o,_,
_,_,_,o,X,_,
_,_,_,_,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x36 '6' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,_,_,_,
X,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x37 '7' */
X,X,X,X,X,_,
X,_,_,o,X,_,
_,_,_,o,X,_,
_,_,_,X,o,_,
_,_,o,X,_,_,
_,_,X,o,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
/* Char 0x38 '8' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x39 '9' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,_,X,_,
o,X,X,X,X,_,
_,_,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x3a ':' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x3b ';' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,o,X,_,_,_,
_,X,o,o,_,_,
/* Char 0x3c '<' */
_,_,o,X,X,_,
_,o,X,o,_,_,
o,X,o,_,_,_,
X,o,_,_,_,_,
o,X,o,_,_,_,
_,o,X,o,_,_,
_,_,o,X,X,_,
_,_,_,_,_,_,
/* Char 0x3d '=' */
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x3e '>' */
X,X,o,_,_,_,
_,o,X,o,_,_,
_,_,o,X,o,_,
_,_,_,o,X,_,
_,_,o,X,o,_,
_,o,X,o,_,_,
X,X,o,_,_,_,
_,_,_,_,_,_,
/* Char 0x3f '?' */
o,X,X,X,o,_,
X,o,_,o,X,_,
_,_,_,o,X,_,
_,_,o,X,o,_,
_,_,X,o,_,_,
_,_,_,_,_,_,
_,_,X,_,_,_,
_,_,_,_,_,_,
/* Char 0x40 '@' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,X,
X,X,X,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x41 'A' */
_,o,X,o,_,_,
o,X,o,X,o,_,
X,o,_,o,X,_,
X,o,_,o,X,_,
X,X,X,X,X,_,
X,_,_,o,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x42 'B' */
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x43 'C' */
o,X,X,X,o,_,
X,o,_,_,X,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,o,_,_,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x44 'D' */
X,X,X,o,_,_,
X,_,o,X,o,_,
X,_,_,o,X,_,
X,_,_,_,X,_,
X,_,_,o,X,_,
X,_,o,X,o,_,
X,X,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x45 'E' */
X,X,X,X,X,_,
X,_,_,_,o,_,
X,_,_,_,_,_,
X,X,X,X,_,_,
X,_,_,_,_,_,
X,_,_,_,o,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x46 'F' */
X,X,X,X,X,_,
X,_,_,_,o,_,
X,_,_,_,_,_,
X,X,X,o,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,o,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x47 'G' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,_,_,_,_,_,
X,_,_,X,X,_,
X,_,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x48 'H' */
X,o,_,_,X,o,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,X,X,X,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x49 'I' */
_,X,X,X,_,_,
_,o,X,o,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,o,X,o,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0x4a 'J' */
_,_,X,X,X,_,
_,_,o,X,o,_,
_,_,_,X,_,_,
_,_,_,X,_,_,
_,_,_,X,_,_,
X,o,o,X,_,_,
o,X,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x4b 'K' */
X,o,_,_,X,o,
X,_,_,o,X,_,
X,_,_,o,_,_,
X,X,X,o,_,_,
X,_,_,o,_,_,
X,_,_,o,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x4c 'L' */
X,o,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,o,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x4d 'M' */
X,o,_,o,X,o,
X,X,o,X,X,_,
X,X,X,X,X,_,
X,o,X,o,X,_,
X,_,o,_,X,_,
X,_,_,_,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x4e 'N' */
X,o,_,_,X,o,
X,X,o,_,X,_,
X,o,X,o,X,_,
X,_,o,X,X,_,
X,_,_,X,X,_,
X,_,_,o,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x4f 'O' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x50 'P' */
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,o,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x51 'Q' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,o,_,_,X,_,
o,X,X,o,X,o,
_,_,o,X,o,X,
_,_,_,_,_,_,
/* Char 0x52 'R' */
X,X,X,X,o,_,
X,_,_,o,X,_,
X,_,_,o,X,_,
X,X,X,X,o,_,
X,_,o,X,o,_,
X,_,_,o,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x53 'S' */
o,X,X,X,o,_,
X,o,_,o,X,_,
X,o,_,_,_,_,
o,X,X,X,o,_,
_,_,_,o,X,_,
X,o,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x54 'T' */
X,X,X,X,X,_,
o,_,X,_,o,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0x55 'U' */
X,o,_,_,X,o,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,_,o,X,_,
o,X,X,X,o,_,
_,_,_,_,_,_,
/* Char 0x56 'V' */
X,o,_,_,X,o,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,o,_,o,X,_,
o,X,_,X,o,_,
o,X,o,X,o,_,
_,o,X,o,_,_,
_,_,_,_,_,_,
/* Char 0x57 'W' */
X,o,_,_,X,o,
X,_,_,_,X,_,
X,_,_,_,X,_,
X,_,o,_,X,_,
X,o,X,o,X,_,
X,X,o,X,X,_,
X,o,_,o,X,o,
_,_,_,_,_,_,
/* Char 0x58 'X' */
X,o,_,_,X,o,
X,o,_,o,X,_,
o,X,o,X,o,_,
_,o,X,o,_,_,
o,X,o,X,o,_,
X,o,_,o,X,_,
X,o,_,_,X,o,
_,_,_,_,_,_,
/* Char 0x59 'Y' */
X,o,_,_,X,o,
X,_,_,_,X,_,
X,o,_,o,X,_,
o,X,o,X,o,_,
_,o,X,o,_,_,
_,o,X,o,_,_,
_,X,X,X,_,_,
_,_,_,_,_,_,
/* Char 0x5a 'Z' */
X,X,X,X,X,_,
X,o,_,o,X,_,
_,_,o,X,o,_,
_,o,X,o,_,_,
o,X,o,_,_,_,
X,o,_,o,X,_,
X,X,X,X,X,o,
_,_,_,_,_,_,
/* Char 0x5b '[' */
_,X,X,X,X,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,_,_,_,_,
_,X,X,X,X,_,
/* Char 0x5c '\' */
X,_,_,_,_,_,
X,_,_,_,_,_,
_,X,X,_,_,_,
_,X,X,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
_,X,X,_,_,_,
_,X,X,_,_,_,
/* Char 0x5d ']' */
_,X,X,X,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,_,_,_,X,_,
_,X,X,X,X,_,
/* Char 0x5e '^' */
_,X,X,_,_,X,
_,X,X,_,_,X,
X,_,_,X,X,_,
X,_,_,X,X,_,
_,X,X,_,_,X,
_,X,X,_,_,X,
X,_,_,X,X,_,
X,_,_,X,X,_,
/* Char 0x5f '_' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,_,
_,_,_,_,_,_,
/* Char 0x60 '`' */
X,o,_,_,_,_,
X,_,_,_,_,_,
X,_,_,5,5,5,
X,_,5,4,4,4,
X,_,5,4,3,3,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
/* Char 0x61 'a' */
_,_,_,_,_,_,
_,_,_,_,_,_,
5,5,5,5,5,5,
4,4,4,4,4,4,
3,3,3,3,3,3,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x62 'b' */
_,_,_,_,o,X,
_,_,_,_,_,X,
5,5,5,_,_,X,
4,4,4,3,_,X,
3,3,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
/* Char 0x63 'c' */
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
_,5,4,3,_,X,
/* Char 0x64 'd' */
_,5,4,3,_,X,
_,5,4,3,_,X,
5,5,4,3,_,X,
4,4,4,3,_,X,
3,3,3,_,_,X,
_,_,_,_,_,X,
_,_,_,_,o,X,
X,X,X,X,X,X,
/* Char 0x65 'e' */
_,_,_,_,_,_,
_,_,_,_,_,_,
5,5,5,5,5,5,
4,4,4,4,4,4,
3,3,3,3,3,3,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,X,
/* Char 0x66 'f' */
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,5,
X,_,5,4,4,4,
X,_,_,3,3,3,
X,_,_,_,_,_,
X,o,_,_,_,_,
X,X,X,X,X,X,
/* Char 0x67 'g' */
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
X,_,5,4,3,_,
/* Char 0x68 'h' */
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
_,_,X,_,_,_,
/* Char 0x69 'i' */
X,X,X,X,X,X,
_,_,_,_,_,_,
X,X,X,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x6a 'j' */
X,X,X,X,X,X,
_,_,_,_,_,X,
X,X,X,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
/* Char 0x6b 'k' */
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
/* Char 0x6c 'l' */
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
_,_,_,X,_,X,
X,X,X,X,_,X,
_,_,_,_,_,X,
X,X,X,X,X,X,
/* Char 0x6d 'm' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,X,
_,_,_,_,_,_,
X,X,X,X,X,X,
/* Char 0x6e 'n' */
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,X,X,X,
X,_,_,_,_,_,
X,X,X,X,X,X,
/* Char 0x6f 'o' */
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
/* Char 0x70 'p' */
6,6,7,7,_,_,
6,7,_,_,4,3,
6,7,_,5,3,_,
6,_,4,3,_,_,
6,_,3,_,_,_,
6,7,_,_,_,_,
6,7,_,_,_,_,
6,6,7,7,_,_,
/* Char 0x71 'q' */
_,_,7,7,6,6,
_,_,_,_,7,6,
_,_,_,_,7,6,
_,_,_,_,_,6,
_,_,_,_,_,6,
_,_,_,_,7,6,
_,_,_,_,7,6,
_,_,7,7,6,6,
/* Char 0x72 'r' */
X,X,X,X,X,X,
X,_,_,_,_,_,
X,_,X,X,X,X,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
X,_,X,_,_,_,
/* Char 0x73 's' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,X,
X,X,X,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x74 't' */
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
X,_,_,_,_,_,
/* Char 0x75 'u' */
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
X,X,_,_,_,_,
/* Char 0x76 'v' */
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
_,_,_,_,X,X,
/* Char 0x77 'w' */
X,X,X,X,X,X,
X,X,X,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x78 'x' */
X,X,X,X,X,X,
X,X,X,X,X,X,
X,X,X,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x79 'y' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,X,X,X,
X,X,X,X,X,X,
X,X,X,X,X,X,
/* Char 0x7a 'z' */
_,_,_,_,_,_,
_,_,_,_,o,X,
_,_,_,o,X,X,
X,X,o,X,X,o,
X,X,X,X,o,_,
X,X,X,o,_,_,
X,X,o,_,_,_,
_,_,_,_,_,_,
/* Char 0x7b '{' */
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
/* Char 0x7c '|' */
_,_,_,X,X,X,
_,_,_,X,X,X,
_,_,_,X,X,X,
_,_,_,X,X,X,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x7d '}' */
_,_,X,X,_,_,
_,_,X,X,_,_,
_,o,X,X,_,_,
X,X,X,X,_,_,
X,X,X,X,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x7e '~' */
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
_,_,_,_,_,_,
/* Char 0x7f '?' */
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
X,X,X,_,_,_,
_,_,_,X,X,X,
_,_,_,X,X,X,
_,_,_,X,X,X,
_,_,_,X,X,X,

};
